/*
 * UIText.h
 *
 *  Created on: May 21, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_UITEXT_H_
#define SRC_UITEXT_H_

#include "SDL2/SDL.h"
#include <iostream>
#include "../game/Game.hpp"

class UIText
{
public:
	std::string inputText;
	int letterHeight;
	int letterWidth;
	int posX;
	int posY;
	std::string textureID;
	UIText(std::string inputText, std::string texID, int x, int y, int letterW, int letterH, int lScale);
	~UIText();

	void AddLetter(int xpos, int ypos, char crnt, std::string tag, int lttrScale, Game::groupLabels groupLabel);
	void ParseString(std::string inputText, int x, int y, int letterScale, std::string tag, Game::groupLabels group);
    void RemoveAllLetters();
    void UpdateString(std::string newInputText);
	int scale;
};

#endif /* SRC_UITEXT_H_ */
